Package cds.healpix.fillingcurve

# Enum Class FillingCurve2DType

java.lang.Object
java.lang.Enum<FillingCurve2DType>
cds.healpix.fillingcurve.FillingCurve2DType

All Implemented Interfaces:
  `Serializable`, `Comparable<FillingCurve2DType>`, `Constable`

public enum FillingCurve2DType extends Enum<FillingCurve2DType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Z_ORDER_LUPT`
`Z_ORDER_OR`
`Z_ORDER_XOR`

## Method Summary

Modifier and Type
Method
Description
`abstract FillingCurve2D`
`get(int depth)`
`static FillingCurve2DType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FillingCurve2DType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Z_ORDER_OR

public static final FillingCurve2DType Z_ORDER_OR

### Z_ORDER_XOR

public static final FillingCurve2DType Z_ORDER_XOR

### Z_ORDER_LUPT

public static final FillingCurve2DType Z_ORDER_LUPT

## Method Details

### values

public static FillingCurve2DType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FillingCurve2DType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public abstract FillingCurve2D get(int depth)